package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 用户试卷对象 bus_exam_user
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusExamUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long comId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String comName;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 用户主键 */
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userNick;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 试卷名称 */
    @Excel(name = "试卷名称")
    private String examTitle;

    /** 试卷类型 */
    @Excel(name = "试卷类型")
    private String examType;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 单选题数量 */
    @Excel(name = "单选题数量")
    private String singleNum;

    /** 多选题数量 */
    @Excel(name = "多选题数量")
    private String multipleNum;

    /** 判断题数量 */
    @Excel(name = "判断题数量")
    private String estimateNum;

    /** 用户分数 */
    @Excel(name = "用户分数")
    private Long userMark;

    /** 结果状态 */
    @Excel(name = "结果状态")
    private Long resStatus;

    /** 答题耗时 */
    @Excel(name = "答题耗时")
    private String useTimes;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 用户试卷结果信息 */
    private List<BusExamUserResult> busExamUserResultList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public String getUserNick() {
        return userNick;
    }

    public void setUserNick(String userNick) {
        this.userNick = userNick;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setExamTitle(String examTitle)
    {
        this.examTitle = examTitle;
    }

    public String getExamTitle() 
    {
        return examTitle;
    }
    public void setExamType(String examType) 
    {
        this.examType = examType;
    }

    public String getExamType() 
    {
        return examType;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setSingleNum(String singleNum) 
    {
        this.singleNum = singleNum;
    }

    public String getSingleNum() 
    {
        return singleNum;
    }
    public void setMultipleNum(String multipleNum) 
    {
        this.multipleNum = multipleNum;
    }

    public String getMultipleNum() 
    {
        return multipleNum;
    }
    public void setEstimateNum(String estimateNum) 
    {
        this.estimateNum = estimateNum;
    }

    public String getEstimateNum() 
    {
        return estimateNum;
    }
    public void setUserMark(Long userMark) 
    {
        this.userMark = userMark;
    }

    public Long getUserMark() 
    {
        return userMark;
    }
    public void setResStatus(Long resStatus) 
    {
        this.resStatus = resStatus;
    }

    public Long getResStatus() 
    {
        return resStatus;
    }
    public void setUseTimes(String useTimes) 
    {
        this.useTimes = useTimes;
    }

    public String getUseTimes() 
    {
        return useTimes;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public List<BusExamUserResult> getBusExamUserResultList() {
        return busExamUserResultList;
    }

    public void setBusExamUserResultList(List<BusExamUserResult> busExamUserResultList) {
        this.busExamUserResultList = busExamUserResultList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("userId", getUserId())
            .append("examTitle", getExamTitle())
            .append("examType", getExamType())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("singleNum", getSingleNum())
            .append("multipleNum", getMultipleNum())
            .append("estimateNum", getEstimateNum())
            .append("userMark", getUserMark())
            .append("resStatus", getResStatus())
            .append("useTimes", getUseTimes())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
